System.Design 1.0.5000.0 2.0.0.0

The interface is obsolete. Use the and interfaces for equivalent control designer functionality.

Defines an interface that enables the extension of specific behaviors of an HTML control designer.

- Property
  System.Web.UI.Design.HtmlControlDesigner To be added. To be added.

  Gets or sets the designer that the behavior is associated with.

  1.0.5000.0
  2.0.0.0
- Property
  System.Object To be added. To be added.

  Gets the element that the designer is associated with.

  1.0.5000.0
  2.0.0.0
- Method
  System.Object `` ``

  The method is obsolete. Use the method on the property of the class for equivalent control designer functionality.

  Gets the specified attribute.

  The attribute that was retrieved.

  The attribute to retrieve. true if the attribute syntax is case-insensitive; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Object `` `` ``

  The method is obsolete. Use the method on the class for equivalent control designer functionality.

  Gets the specified style attribute.

  The style attribute that was retrieved.

  The style attribute to retrieve. true if the attribute is only active at design time; otherwise, false. true if the attribute syntax is case-insensitive; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` ``

  The method is obsolete. Use the method on the property of the class for equivalent control designer functionality.

  Removes the specified attribute.

  The attribute to remove. true if the attribute syntax is case-insensitive; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` To be added.

  Removes the specified style attribute.

  The style attribute to remove. true if the attribute is only active at design time; otherwise, false. true if the attribute syntax is case-insensitive; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` ``

  The method is obsolete. Use the method on the property of the class for equivalent control designer functionality.

  Sets the specified attribute to the specified object.

  The attribute to set. The object on which to set the attribute. true if the attribute syntax is case-insensitive; otherwise, false. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` `` ``

  The method is obsolete. Use the method on the class for equivalent control designer functionality.

  Sets the specified style attribute to the specified object.

  The attribute to set. true if the attribute is only active at design-time; otherwise, false. The object to set the attribute on. true if the attribute syntax is case-insensitive; otherwise, false. 1.0.5000.0 2.0.0.0
System.Obsolete("Use IControlDesignerTag and IControlDesignerView instead")